﻿Shader "Custom/GeometryMeshShader"
{
	SubShader
	{
		Tags{ "Queue" = "Transparent" "IgnoreProjector" = "True" "RenderType" = "Opaque" }
		ZWrite On Lighting Off Cull Off Fog{ Mode Off } Blend One Zero

		GrabPass{ "_GrabTexture" }

		Pass
		{
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag

			#include "UnityCG.cginc"

			sampler2D _GrabTexture;

			struct vertexInput
			{
				float4 position : POSITION;
			};

			struct vertexOutput
			{
				float4 position : POSITION;
				float4 uvgrab : TEXCOORD1;
			};

			vertexOutput vert(vertexInput i)
			{
				vertexOutput o;
				o.position = mul(UNITY_MATRIX_MVP, i.position);
				o.uvgrab = ComputeGrabScreenPos(o.position);
				return o;
			}

			float4 frag(vertexOutput o) : COLOR
			{
				float4 color = tex2Dproj(_GrabTexture, UNITY_PROJ_COORD(o.uvgrab));
				return color;
			}

			ENDCG
		}
	}
}