﻿Shader "Custom/TextureMeshColorShader"
{
	SubShader
	{
		Pass
		{
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag
			
			#include "UnityCG.cginc"

			struct vertexInput
			{
				float4 position : POSITION;
				float4 color : COLOR;
			};

			struct vertexOutput
			{
				float4 position : SV_POSITION;
				float4 color : COLOR0;
			};

			vertexOutput vert(vertexInput i)
			{
				vertexOutput o;
				o.position = mul(UNITY_MATRIX_MVP, i.position);
				o.color = i.color;
				return o;
			}
			
			float4 frag(vertexOutput o) : COLOR
			{
				return o.color;
			}

			ENDCG
		}
	}
}
