﻿Shader "Custom/TextureMeshShader"
{
	Properties
	{
		_MainTex ("Texture", 2D) = "white" {}
	}
	SubShader
	{
		Tags { "RenderType"="Opaque" }
		LOD 100

		Pass
		{
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag
			
			#include "UnityCG.cginc"

			struct vertexInput
			{
				float4 vertex : POSITION;
				float2 uv : TEXCOORD0;
			};

			struct vertexOutput
			{
				float4 vertex : SV_POSITION;
				float2 uv : TEXCOORD0;
			};

			sampler2D _MainTex;
			float4 _MainTex_ST;
			
			vertexOutput vert(vertexInput i)
			{
				vertexOutput o;
				o.vertex = mul(UNITY_MATRIX_MVP, i.vertex);
				o.uv = TRANSFORM_TEX(i.uv, _MainTex);
				return o;
			}
			
			float4 frag(vertexOutput o) : SV_Target
			{
				fixed4 col = tex2D(_MainTex, o.uv);
				return col;
			}
			ENDCG

			Cull Off
		}
	}
}
